| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csMouseEventData Struct Reference
[Event handling]

Structure that collects the data a mouse event carries. More...

`#include <iutil/event.h>`

List of all members.

## Public Attributes
int32 | axes [CS_MAX_MOUSE_AXES]
| Mouse axis values.
uint | Button
| Button number.
uint32 | Modifiers
| Control key state.
uint | numAxes
| Mouse axis count.
int | x
| Mouse x (same as axes[0]).
int | y
| Mouse y (same as axes[1]).

## Detailed Description

Structure that collects the data a mouse event carries.

The event it self doesn't transfer the data in this structure; it is merely meant to pass around mouse event data in a compact way within client code without having to pass around the event itself.

See also:
  csMouseEventHelper

Definition at line 152 of file event.h.

## Member Data Documentation

int32 csMouseEventData::axes[CS_MAX_MOUSE_AXES]

Mouse axis values.

Definition at line 159 of file event.h.

uint csMouseEventData::Button

Button number.

See also:
  csMouseButton

Definition at line 166 of file event.h.

uint32 csMouseEventData::Modifiers

Control key state.

Definition at line 168 of file event.h.

uint csMouseEventData::numAxes

Mouse axis count.

Definition at line 161 of file event.h.

int csMouseEventData::x

Mouse x (same as axes[0]).

Definition at line 155 of file event.h.

int csMouseEventData::y

Mouse y (same as axes[1]).

Definition at line 157 of file event.h.

The documentation for this struct was generated from the following file:

- iutil/event.h